summaryrefslogtreecommitdiffstats
path: root/lib
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2014-10-05 08:36:59 (EDT)
committer P. J. McDermott <pj@pehjota.net>2014-10-05 08:36:59 (EDT)
commit8219b4a48a0579e8966e41b543b8e8ba905e873d (patch)
tree7d656432d4787621c9cca97fbf08f95773ec2731 /lib
parentff4d3a4ec54ca4d92588464b1cac508e450458a3 (diff)
session_begin(): Fix a function call
Diffstat (limited to 'lib')
-rw-r--r--lib/session.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/lib/session.sh b/lib/session.sh
index 1430493..0d66eeb 100644
--- a/lib/session.sh
+++ b/lib/session.sh
@@ -51,7 +51,8 @@ session_begin()
# Check for a sessions pool.
if [ -d "${session_root}/prokit/sessions" ]; then
- if ! profile_file_systems_mounted; then
+ if ! profile_file_systems_mounted "${session_root}" \
+ "${session_arch}" "${session_plat}"; then
# If a sessions pool exists but the file systems aren't
# mounted, clean up the old sessions and mount the file
# systems.